=== debian/changelog ===
aufs-tools (1:3.0+20111022-1) unstable; urgency=low

  * Merging upstream version 3.0+20111022.
  * Switching architecture fields to linux-any.
  * Adding versioned build-depends on linux-libc-dev.
  * Using compression level 9 also for binary packages.
  * Sorting overrides in rules alphabetically.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 03 Nov 2011 10:04:55 +0100

aufs-tools (20110410-1) unstable; urgency=low

  * Merging upstream version 20110410.
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Updating build and install targets in rules for new upstream
    version.
  * Rediffing static.patch.
  * Correcting spelling mistake in package description.
  * Adding manpage symlinks for aubusy and auibusy.
  * Updating lintian overrides.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 28 Aug 2011 00:22:02 +0200

aufs-tools (20100901-2) experimental; urgency=low

  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 26 Nov 2010 17:30:56 +0100

aufs-tools (20100901-1) experimental; urgency=low

  * Merging upstream version 20100901.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 09:41:49 +0200

aufs-tools (20100801-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 20100801.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 13:51:36 +0200

aufs-tools (20100601-1) unstable; urgency=low

  * Merging upstream version 20100601.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 01 Jun 2010 07:00:25 +0200

aufs-tools (20100501-1) unstable; urgency=low

  * Merging upstream version 20100501.
  * Updating rules file for new upstream version.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 01 May 2010 05:16:04 +0200

aufs-tools (20100401-1) unstable; urgency=low

  * Merging upstream version 20100401.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 02 Apr 2010 09:06:19 +0200

aufs-tools (20100301-1) unstable; urgency=low

  * Merging upstream version 20100301.
  * Sorting dh call in rules to more common order.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 12 Mar 2010 18:02:27 +0100

aufs-tools (20100201-1) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 20100201.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 01 Feb 2010 12:48:24 +0100

aufs-tools (20100101-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 27 Dec 2009 11:14:34 +0100
