## aufs-tools 3.0+20111101

=== debian/changelog ===
aufs-tools (1:3.0+20111101-1ubuntu1) precise; urgency=low

  * Fix regex that checks version of aufs_type.h (failed on 3.x-rcN...)

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 18 Jan 2012 17:34:55 +0000

aufs-tools (1:3.0+20111101-1) unstable; urgency=low

  * Merging upstream version 3.0+20111101.
  * Updating build-depends to linux-libc-dev (Closes: #649051).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 10 Dec 2011 10:17:51 +0100
