=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3)
+Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3.1)
 Standards-Version: 3.9.2
 Homepage: http://aufs.sourceforge.net/
