## aufs-tools 3.0+20120411

=== debian/changelog ===
aufs-tools (1:3.0+20120411-2) unstable; urgency=low

  * Updating GPL boilerplate in copyright file.
  * Trimming lintian overrides.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 03:32:01 +0200

aufs-tools (1:3.0+20120411-1) unstable; urgency=low

  * Updating package to standards version 3.9.3.
  * Updating package to debhelper version 9.
  * Updating copyright file to machine-readable format version 1.0.
  * Merging upstream version 3.0+20120411.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 18 May 2012 13:17:14 +0200
