=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kernel
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8), linux-libc-dev (>= 3.1)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), linux-libc-dev (>= 3.1)
+Standards-Version: 3.9.3
 Homepage: http://aufs.sourceforge.net/
 
 Package: aufs-tools
