=== debian/changelog ===
aufs-tools (1:3.2+20130722-1.1ubuntu1) xenial; urgency=high

  * Drop pointless kernel version check.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 22 Jan 2016 17:39:25 +0000

aufs-tools (1:3.2+20130722-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry pick 0003-xino.patch from upstream: refine the xino truncation
    (Closes: #730932)

 -- David Prévot <taffit@debian.org>  Sun, 22 Dec 2013 12:15:32 -0400

aufs-tools (1:3.2+20130722-1) unstable; urgency=medium

  * Merging upstream version 3.2+20130722.
    - drop shebang patch merged upstream
    - use 3.2 branch (Closes: #718123).

 -- Luk Claes <luk@debian.org>  Sun, 11 Aug 2013 15:21:09 +0200

aufs-tools (1:3.0+20130111-3) unstable; urgency=low

  * Taking over with maintainer's consent.

 -- Luk Claes <luk@debian.org>  Sat, 20 Apr 2013 18:24:07 +0200

aufs-tools (1:3.0+20130111-2) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 19:50:11 +0100

aufs-tools (1:3.0+20130111-1) unstable; urgency=low

  * Merging upstream version 3.0+20130111.
  * Prefixing patches with four digits.
  * Updating year in copyright file.
  * Setting shebang for the time being to bash in included shell scripts
    (Closes: #701552).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 11:57:59 +0100

aufs-tools (1:3.0+20120411-4) unstable; urgency=low

  * Trimming diff header in static.patch.
  * Correcting manpage example syntax, thanks to Dan Greene <dan-
    greene@wi.rr.com> (Closes: #700111).
  * Dropping dpkg-source compression levels.
  * Updating year in copyright file.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sat, 09 Feb 2013 08:02:05 +0100

aufs-tools (1:3.0+20120411-3) unstable; urgency=low

  * Adding dpkg-source local options.
  * Updating to standards version 3.9.4.
  * Making build-depends on linux-libc-dev unversioned again for jessie.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 11 Dec 2012 21:14:26 +0100
