=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: aufs-tools
 Section: kernel
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 9), linux-libc-dev (>= 3.1)
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Filesystems Group <filesystems-devel@lists.alioth.debian.org>
+Uploaders: Luk Claes <luk@debian.org>
+Build-Depends: debhelper (>= 9), linux-libc-dev
+Standards-Version: 3.9.4
 Homepage: http://aufs.sourceforge.net/
 
 Package: aufs-tools
