=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
 
 override_dh_strip:
 	dh_strip --dbg-package=aufs-tools-dbg
