=== debian/changelog ===
aufs-tools (1:4.1+20161219-1ubuntu0.1) artful; urgency=medium

  * Remove the Recommends: on aufs-dkms; our kernels in 17.10 have started
    to provide this virtual package, but this means apt on upgrade will pick
    a kernel at random to satisfy the Recommends.  Since all of our kernel
    packages logically satisfy this relationship, the explicit declaration
    only causes trouble.  This change can be dropped for the 18.10 release.
    (LP: #1728760)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Nov 2017 10:58:54 -0800

aufs-tools (1:4.1+20161219-1) unstable; urgency=medium

  * New upstream release.

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass triplet-prefixed CC via environment
    rather than make command line. (Closes: #845724)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Wed, 21 Dec 2016 17:42:23 +0100

aufs-tools (1:4.1+20161010-1) unstable; urgency=medium

  * New upstream release.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 21 Oct 2016 10:51:13 +0200

aufs-tools (1:4.1+20160919-2) unstable; urgency=medium

  * debian/control:
    - Move aufs-dkms from Depends to Recommends. (Closes: #838632)

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 25 Sep 2016 20:44:43 +0200

aufs-tools (1:4.1+20160919-1) unstable; urgency=medium

  * New upstream release.
    - Fix auplink crashing on non-aufs mount points. (Closes: #777559)
  * Improve long description in debian/control.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Mon, 19 Sep 2016 17:48:52 +0200

aufs-tools (1:4.0+20160822-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Enable hardening options for the package.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Fri, 26 Aug 2016 18:23:00 +0200

aufs-tools (1:4.0+20160321-1) UNRELEASED; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #723594)
  * Use the new aufs binary packages as dependency. (Closes: #788513)
    - Add aufs-dev to Build-Depends in debian/control.
    - Add aufs-dkms to Depends in debian/control.
  * Use debug symbol package automatically generated by dh_strip.
  * Update copyright file.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sun, 14 Aug 2016 16:05:18 +0200
