## aufs-tools 4.9+20170918

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-# Copyright (C) 2005-2016 Junjiro R. Okajima
+# Copyright (C) 2005-2017 Junjiro R. Okajima
 #
 # This program, aufs is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
