=== debian/changelog ===
aufs-tools (1:4.9+20170918-2) unstable; urgency=medium

  * debian/control:
    - Change Maintainer mail address to j.naumann@fu-berlin.de.
      (Closes: #899451)
    - Switch to Debian Salsa as Git hoster.
    - Update to Debian policy 4.1.4, no changes needed.
  * debian/compat:
    - Update to debhelper compat level 11.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 26 May 2018 14:35:47 +0200

aufs-tools (1:4.9+20170918-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Update to Debian policy 4.1.2, no changes required.

 -- Jan Luca Naumann <j.naumann@fu-berlin.de>  Sat, 02 Dec 2017 12:46:15 +0100
