=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
Build-Depends: debhelper (>= 11), linux-libc-dev, aufs-dev
Standards-Version: 4.1.4
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-tools-debian
Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-tools-debian.git

Package: aufs-tools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: aufs-dkms
Description: Tools to manage aufs filesystems
 The aufs driver provides a union mount for Linux filesystems. It allows one
 to virtually merge the contents of several directories and/or stack them, so
 that file changes in the aufs union mount end up as changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.
