=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jan Luca Naumann <j.naumann@fu-berlin.de>
 Build-Depends: debhelper (>= 11), linux-libc-dev, aufs-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://aufs.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/janluca-guest/aufs-tools-debian
 Vcs-Git: https://salsa.debian.org/janluca-guest/aufs-tools-debian.git
