=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Set LibAuDir to proper directory
export LibAuDir = /usr/lib

include /usr/share/dpkg/architecture.mk
ifeq ($(origin CC),default)
export CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh ${@}

override_dh_auto_clean:
	dh_auto_clean -- clean

override_dh_auto_build:
	# avoid passing CC to the make command line via dh_auto_build
	$(MAKE)

override_dh_strip:
	dh_strip --dbgsym-migration='aufs-tools-dbg (<< 1:4.0+20160822-1)'
