=== debian/control ===
Source: aufs-tools
Section: kernel
Priority: optional
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Uploaders: Daniel Baumann <daniel@debian.org>,
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://aufs.sourceforge.net/
Vcs-Browser: http://git.debian-maintainers.org/?p=daniel/aufs-tools.git
Vcs-Git: git://git.debian-maintainers.org/git/daniel/aufs-tools.git

Package: aufs-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools to manage aufs filesystems
 The aufs driver provides a unification file system for the Linux kernel. It
 allows to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains utilities needed to configure aufs containers on-the-fly.

Package: aufs-tools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, aufs-tools (= ${binary:Version})
Description: Tools to manage aufs filesystems (debug)
 The aufs driver provides a unification file system for the Linux kernel. It
 allows to virtually merge the contents of several directories and/or stack
 them, so that apparent file changes in the aufs end in file changes in only one
 of the source directories.
 .
 This package contains the debugging symbols for the utilities needed to
 configure aufs containers on-the-fly.
