=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	$(MAKE) KDIR=/usr

override_dh_auto_install:
	$(MAKE) KDIR=/usr DESTDIR=$(CURDIR)/debian/aufs-tools install

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg
