=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/aufs-tools

override_dh_strip:
	dh_strip --dbg-package=aufs-tools-dbg
